From 9d8d80bd811811067c6bae4f13cbdea152550887 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 20 2020 06:35:02 +0000
Subject: [PATCH 301/2232] Remove '_' segment from symbol of non-associated functions


---

diff --git a/syntax/mangle.rs b/syntax/mangle.rs
index 9e6bb8a..a109951 100644
--- a/syntax/mangle.rs
+++ b/syntax/mangle.rs
@@ -2,9 +2,9 @@ use crate::syntax::namespace::Namespace;
 use crate::syntax::ExternFn;
 
 pub fn extern_fn(namespace: &Namespace, efn: &ExternFn) -> String {
-    let receiver_type = match &efn.receiver {
-        Some(receiver) => receiver.ident.to_string(),
-        None => "_".to_string(),
+    let receiver = match &efn.receiver {
+        Some(receiver) => receiver.ident.to_string() + "$",
+        None => String::new(),
     };
-    format!("{}cxxbridge02${}${}", namespace, receiver_type, efn.ident)
+    format!("{}cxxbridge02${}{}", namespace, receiver, efn.ident)
 }

